Public Member Functions
CNurbsSurfaceRefArray Class Reference

## Detailed Description

An array of NurbsSurface objects representing the surface in a nurbs surface mesh.

Warning:
  This specialized array is returned by NurbsSurfaceMesh::GetSurfaces, it is not meant to be created and modified in user-defined functions. If you want to add and remove arbitrary items to a collection, you must use a CRefArray instead.

See also:
  NurbsSurfaceMesh::GetSurfaces

Example:

            using namespace XSI;

            Application app;
            Model root = app.GetActiveSceneRoot();

            X3DObject mySphere;
            root.AddGeometry( L"Sphere", L"NurbsSurface", L"", mySphere );

            NurbsSurfaceMesh mySurfaceMesh(mySphere.GetActivePrimitive().GetGeometry());

            CNurbsSurfaceRefArray surfaces = mySurfaceMesh.GetSurfaces();

`#include <xsi_nurbssurface.h>`

Inheritance diagram for CNurbsSurfaceRefArray:
[legend]

List of all members.

## Public Member Functions
| CNurbsSurfaceRefArray (const CNurbsSurfaceRefArray &in_array)
CRef | GetItem (LONG in_index) const
CRef | GetItem (const CString &in_name) const
LONG | GetCount () const
bool | IsValid () const

## Constructor & Destructor Documentation

CNurbsSurfaceRefArray | ( | const CNurbsSurfaceRefArray & | in_array | ) |

Copy constructor.

Parameters:

  in_array | constant CNurbsSurfaceRefArray reference object.

## Member Function Documentation

CRef GetItem | ( | LONG | in_index | ) | const`[virtual]`

Returns a NurbsSurface object at a specified index in the array.

Parameters:

  in_index | The index of the NurbsSurface.

Returns:
  A NurbsSurface reference object.

Reimplemented from CFacetRefArray.

CRef GetItem | ( | const CString & | in_name | ) | const`[virtual]`

Returns the NurbsSurface object in the array matching the specified name.

Parameters:

  in_name | The name of the NurbsSurface.

Returns:
  A NurbsSurface reference object.

Reimplemented from CFacetRefArray.

LONG GetCount | ( |  | ) | const`[virtual]`

Returns the number of NurbsSurface objects in the array.

Returns:
  The number of NurbsSurface objects.

Reimplemented from CFacetRefArray.

bool IsValid | ( |  | ) | const`[virtual]`

Returns true if this array is a valid object or false otherwise.

Returns:
  true if valid, false otherwise.

Reimplemented from CFacetRefArray.

The documentation for this class was generated from the following file:

- xsi_nurbssurface.h